<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionRaidSettingsBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/d0c/a03381.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionRaidSettingsBase Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Spawn settings class.  
 <a href="../../d3/d0c/a03381.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for ExpansionRaidSettingsBase:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d3/d0c/a03381.png" usemap="#ExpansionRaidSettingsBase_map" alt=""/>
  <map id="ExpansionRaidSettingsBase_map" name="ExpansionRaidSettingsBase_map">
<area href="../../d5/df8/a04353.html" alt="ExpansionSettingBase" shape="rect" coords="0,0,167,24"/>
<area href="../../d9/d35/a03385.html" title="Spawn settings class." alt="ExpansionRaidSettings" shape="rect" coords="0,112,167,136"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:abfae0e778dc8dc3002228f04c467472d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/a03381.html#abfae0e778dc8dc3002228f04c467472d">ExpansionRaidSettingsBase</a> ()</td></tr>
<tr class="memdesc:abfae0e778dc8dc3002228f04c467472d"><td class="mdescLeft">&#160;</td><td class="mdescRight">0 = Default, everything can take dmg | 1 = doors and gates | 2 = doors, gates and windows  <a href="../../d3/d0c/a03381.html#abfae0e778dc8dc3002228f04c467472d">More...</a><br /></td></tr>
<tr class="separator:abfae0e778dc8dc3002228f04c467472d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a876b50139f81941a2f52d24d84a766d7"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/a03381.html#a876b50139f81941a2f52d24d84a766d7">ExplosionTime</a></td></tr>
<tr class="separator:a876b50139f81941a2f52d24d84a766d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade09edfeb964a4f60d5e525dbfb6be72"><td class="memItemLeft" align="right" valign="top">autoptr TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/a03381.html#ade09edfeb964a4f60d5e525dbfb6be72">ExplosiveDamageWhitelist</a></td></tr>
<tr class="memdesc:ade09edfeb964a4f60d5e525dbfb6be72"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ammount of time it takes for explosive to explode.  <a href="../../d3/d0c/a03381.html#ade09edfeb964a4f60d5e525dbfb6be72">More...</a><br /></td></tr>
<tr class="separator:ade09edfeb964a4f60d5e525dbfb6be72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0e860cd25939a9ffbc2bad9a6fa6fc8"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/a03381.html#ab0e860cd25939a9ffbc2bad9a6fa6fc8">EnableExplosiveWhitelist</a></td></tr>
<tr class="memdesc:ab0e860cd25939a9ffbc2bad9a6fa6fc8"><td class="mdescLeft">&#160;</td><td class="mdescRight">List of damage sources allowed to damage bases when whitelist is enabled.  <a href="../../d3/d0c/a03381.html#ab0e860cd25939a9ffbc2bad9a6fa6fc8">More...</a><br /></td></tr>
<tr class="separator:ab0e860cd25939a9ffbc2bad9a6fa6fc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25e2f4f83eb9b1cc3b70b1d5a6552693"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/a03381.html#a25e2f4f83eb9b1cc3b70b1d5a6552693">ExplosionDamageMultiplier</a></td></tr>
<tr class="memdesc:a25e2f4f83eb9b1cc3b70b1d5a6552693"><td class="mdescLeft">&#160;</td><td class="mdescRight">If enabled, only damage sources listed in ExplosiveDamageWhitelist will be able to damage walls.  <a href="../../d3/d0c/a03381.html#a25e2f4f83eb9b1cc3b70b1d5a6552693">More...</a><br /></td></tr>
<tr class="separator:a25e2f4f83eb9b1cc3b70b1d5a6552693"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08df3d586b4978b63f363c7bda2cee08"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/a03381.html#a08df3d586b4978b63f363c7bda2cee08">ProjectileDamageMultiplier</a></td></tr>
<tr class="memdesc:a08df3d586b4978b63f363c7bda2cee08"><td class="mdescLeft">&#160;</td><td class="mdescRight">Damage multiplier from explosion.  <a href="../../d3/d0c/a03381.html#a08df3d586b4978b63f363c7bda2cee08">More...</a><br /></td></tr>
<tr class="separator:a08df3d586b4978b63f363c7bda2cee08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b6b26cbdd055f7510a072fcb9f243c7"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/a03381.html#a6b6b26cbdd055f7510a072fcb9f243c7">CanRaidSafes</a></td></tr>
<tr class="memdesc:a6b6b26cbdd055f7510a072fcb9f243c7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Damage multiplier from projectiles.  <a href="../../d3/d0c/a03381.html#a6b6b26cbdd055f7510a072fcb9f243c7">More...</a><br /></td></tr>
<tr class="separator:a6b6b26cbdd055f7510a072fcb9f243c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac69c66febd351d1786f261d9293354c0"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/a03381.html#ac69c66febd351d1786f261d9293354c0">SafeExplosionDamageMultiplier</a></td></tr>
<tr class="memdesc:ac69c66febd351d1786f261d9293354c0"><td class="mdescLeft">&#160;</td><td class="mdescRight">If enabled, make safes raidable.  <a href="../../d3/d0c/a03381.html#ac69c66febd351d1786f261d9293354c0">More...</a><br /></td></tr>
<tr class="separator:ac69c66febd351d1786f261d9293354c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3e9f2f60b5c693ca6a5166a4bf53249"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/a03381.html#ae3e9f2f60b5c693ca6a5166a4bf53249">SafeProjectileDamageMultiplier</a></td></tr>
<tr class="memdesc:ae3e9f2f60b5c693ca6a5166a4bf53249"><td class="mdescLeft">&#160;</td><td class="mdescRight">Damage multiplier from explosion on safes.  <a href="../../d3/d0c/a03381.html#ae3e9f2f60b5c693ca6a5166a4bf53249">More...</a><br /></td></tr>
<tr class="separator:ae3e9f2f60b5c693ca6a5166a4bf53249"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95638bc6947234783d9fc34c43bc577e"><td class="memItemLeft" align="right" valign="top">autoptr TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/a03381.html#a95638bc6947234783d9fc34c43bc577e">SafeRaidTools</a></td></tr>
<tr class="memdesc:a95638bc6947234783d9fc34c43bc577e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Damage multiplier from explosion on safes.  <a href="../../d3/d0c/a03381.html#a95638bc6947234783d9fc34c43bc577e">More...</a><br /></td></tr>
<tr class="separator:a95638bc6947234783d9fc34c43bc577e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e990c1b17a827bf183ca570df38177e"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/a03381.html#a6e990c1b17a827bf183ca570df38177e">SafeRaidToolTimeSeconds</a></td></tr>
<tr class="memdesc:a6e990c1b17a827bf183ca570df38177e"><td class="mdescLeft">&#160;</td><td class="mdescRight">List of tools allowed for raiding safes.  <a href="../../d3/d0c/a03381.html#a6e990c1b17a827bf183ca570df38177e">More...</a><br /></td></tr>
<tr class="separator:a6e990c1b17a827bf183ca570df38177e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64df25132f83748641937b70b2c6891f"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/a03381.html#a64df25132f83748641937b70b2c6891f">SafeRaidToolCycles</a></td></tr>
<tr class="memdesc:a64df25132f83748641937b70b2c6891f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time needed to raid safe with tool.  <a href="../../d3/d0c/a03381.html#a64df25132f83748641937b70b2c6891f">More...</a><br /></td></tr>
<tr class="separator:a64df25132f83748641937b70b2c6891f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abce4c8d79c9e4e2a870dfdd92eee5993"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/a03381.html#abce4c8d79c9e4e2a870dfdd92eee5993">SafeRaidToolDamagePercent</a></td></tr>
<tr class="memdesc:abce4c8d79c9e4e2a870dfdd92eee5993"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of cycles needed to raid safe.  <a href="../../d3/d0c/a03381.html#abce4c8d79c9e4e2a870dfdd92eee5993">More...</a><br /></td></tr>
<tr class="separator:abce4c8d79c9e4e2a870dfdd92eee5993"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90aa88355f8969f63d50b5f97c9b9d39"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/a03381.html#a90aa88355f8969f63d50b5f97c9b9d39">CanRaidBarbedWire</a></td></tr>
<tr class="memdesc:a90aa88355f8969f63d50b5f97c9b9d39"><td class="mdescLeft">&#160;</td><td class="mdescRight">Total damage dealt to tool over time (100 = tool will be in ruined state after all cycles finished)  <a href="../../d3/d0c/a03381.html#a90aa88355f8969f63d50b5f97c9b9d39">More...</a><br /></td></tr>
<tr class="separator:a90aa88355f8969f63d50b5f97c9b9d39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45f9c25b3b7d523d40ed01ff01a18275"><td class="memItemLeft" align="right" valign="top">autoptr TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/a03381.html#a45f9c25b3b7d523d40ed01ff01a18275">BarbedWireRaidTools</a></td></tr>
<tr class="memdesc:a45f9c25b3b7d523d40ed01ff01a18275"><td class="mdescLeft">&#160;</td><td class="mdescRight">If enabled, make barbed wire raidable.  <a href="../../d3/d0c/a03381.html#a45f9c25b3b7d523d40ed01ff01a18275">More...</a><br /></td></tr>
<tr class="separator:a45f9c25b3b7d523d40ed01ff01a18275"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a189aed6401bd71f4ef605eca2f319e86"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/a03381.html#a189aed6401bd71f4ef605eca2f319e86">BarbedWireRaidToolTimeSeconds</a></td></tr>
<tr class="memdesc:a189aed6401bd71f4ef605eca2f319e86"><td class="mdescLeft">&#160;</td><td class="mdescRight">List of tools allowed for raiding barbed wire.  <a href="../../d3/d0c/a03381.html#a189aed6401bd71f4ef605eca2f319e86">More...</a><br /></td></tr>
<tr class="separator:a189aed6401bd71f4ef605eca2f319e86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae545fbe39ed37465bab2ffb8190cd488"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/a03381.html#ae545fbe39ed37465bab2ffb8190cd488">BarbedWireRaidToolCycles</a></td></tr>
<tr class="memdesc:ae545fbe39ed37465bab2ffb8190cd488"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time needed to raid barbed wire with tool.  <a href="../../d3/d0c/a03381.html#ae545fbe39ed37465bab2ffb8190cd488">More...</a><br /></td></tr>
<tr class="separator:ae545fbe39ed37465bab2ffb8190cd488"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02cea6958070412c91447891d6b6e818"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/a03381.html#a02cea6958070412c91447891d6b6e818">BarbedWireRaidToolDamagePercent</a></td></tr>
<tr class="memdesc:a02cea6958070412c91447891d6b6e818"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of cycles needed to raid barbed wire.  <a href="../../d3/d0c/a03381.html#a02cea6958070412c91447891d6b6e818">More...</a><br /></td></tr>
<tr class="separator:a02cea6958070412c91447891d6b6e818"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47a4bdba49e9729080ed30ad39ff2efe"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/d8c/a00035.html#af924a45769b966ddde1a49cac35e0ffd">RaidLocksOnWallsEnum</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/a03381.html#a47a4bdba49e9729080ed30ad39ff2efe">CanRaidLocksOnWalls</a></td></tr>
<tr class="memdesc:a47a4bdba49e9729080ed30ad39ff2efe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Total damage dealt to tool over time (100 = tool will be in ruined state after all cycles finished)  <a href="../../d3/d0c/a03381.html#a47a4bdba49e9729080ed30ad39ff2efe">More...</a><br /></td></tr>
<tr class="separator:a47a4bdba49e9729080ed30ad39ff2efe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace10abfea2102ec468d8956cb10c6467"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/a03381.html#ace10abfea2102ec468d8956cb10c6467">CanRaidLocksOnFences</a></td></tr>
<tr class="memdesc:ace10abfea2102ec468d8956cb10c6467"><td class="mdescLeft">&#160;</td><td class="mdescRight">If set to 1 make locks (both vanilla and Expansion) raidable on walls | 2 = only doors | 3 = only gates.  <a href="../../d3/d0c/a03381.html#ace10abfea2102ec468d8956cb10c6467">More...</a><br /></td></tr>
<tr class="separator:ace10abfea2102ec468d8956cb10c6467"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80b2168365b954993385e544bd2c4ef7"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/a03381.html#a80b2168365b954993385e544bd2c4ef7">CanRaidLocksOnTents</a></td></tr>
<tr class="memdesc:a80b2168365b954993385e544bd2c4ef7"><td class="mdescLeft">&#160;</td><td class="mdescRight">If enabled, make locks (both vanilla and Expansion) raidable on fences.  <a href="../../d3/d0c/a03381.html#a80b2168365b954993385e544bd2c4ef7">More...</a><br /></td></tr>
<tr class="separator:a80b2168365b954993385e544bd2c4ef7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20f7d61f868e762acfbab1569d4294fc"><td class="memItemLeft" align="right" valign="top">autoptr TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/a03381.html#a20f7d61f868e762acfbab1569d4294fc">LockRaidTools</a></td></tr>
<tr class="memdesc:a20f7d61f868e762acfbab1569d4294fc"><td class="mdescLeft">&#160;</td><td class="mdescRight">If enabled, make locks (both vanilla and Expansion) raidable on tents.  <a href="../../d3/d0c/a03381.html#a20f7d61f868e762acfbab1569d4294fc">More...</a><br /></td></tr>
<tr class="separator:a20f7d61f868e762acfbab1569d4294fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a437fa9213c195f4e7bb59f92dac1c0a9"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/a03381.html#a437fa9213c195f4e7bb59f92dac1c0a9">LockOnWallRaidToolTimeSeconds</a></td></tr>
<tr class="memdesc:a437fa9213c195f4e7bb59f92dac1c0a9"><td class="mdescLeft">&#160;</td><td class="mdescRight">List of tools allowed for raiding locks.  <a href="../../d3/d0c/a03381.html#a437fa9213c195f4e7bb59f92dac1c0a9">More...</a><br /></td></tr>
<tr class="separator:a437fa9213c195f4e7bb59f92dac1c0a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8fe202f83e66496b014540c7b9c3b749"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/a03381.html#a8fe202f83e66496b014540c7b9c3b749">LockOnFenceRaidToolTimeSeconds</a></td></tr>
<tr class="memdesc:a8fe202f83e66496b014540c7b9c3b749"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time needed to raid lock on wall with tool. Disabled &lt;= 0.  <a href="../../d3/d0c/a03381.html#a8fe202f83e66496b014540c7b9c3b749">More...</a><br /></td></tr>
<tr class="separator:a8fe202f83e66496b014540c7b9c3b749"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4453271829b10f84116456650b077a3"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/a03381.html#ab4453271829b10f84116456650b077a3">LockOnTentRaidToolTimeSeconds</a></td></tr>
<tr class="memdesc:ab4453271829b10f84116456650b077a3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time needed to raid lock on fence with tool. Disabled &lt;= 0.  <a href="../../d3/d0c/a03381.html#ab4453271829b10f84116456650b077a3">More...</a><br /></td></tr>
<tr class="separator:ab4453271829b10f84116456650b077a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fa940e4c906340b6b48d1a51c43ff04"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/a03381.html#a7fa940e4c906340b6b48d1a51c43ff04">LockRaidToolCycles</a></td></tr>
<tr class="memdesc:a7fa940e4c906340b6b48d1a51c43ff04"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time needed to raid lock on tent with tool. Disabled &lt;= 0.  <a href="../../d3/d0c/a03381.html#a7fa940e4c906340b6b48d1a51c43ff04">More...</a><br /></td></tr>
<tr class="separator:a7fa940e4c906340b6b48d1a51c43ff04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6ac2dfb049f14b44e53dd40a984a6f3"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/a03381.html#ad6ac2dfb049f14b44e53dd40a984a6f3">LockRaidToolDamagePercent</a></td></tr>
<tr class="memdesc:ad6ac2dfb049f14b44e53dd40a984a6f3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of cycles needed to raid lock.  <a href="../../d3/d0c/a03381.html#ad6ac2dfb049f14b44e53dd40a984a6f3">More...</a><br /></td></tr>
<tr class="separator:ad6ac2dfb049f14b44e53dd40a984a6f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8cf7229067eae634e3ded62244190531"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/d87/a00032.html#a1e79c0163d9d8a0860d98f839db2a80b">BaseBuildingRaidEnum</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d0c/a03381.html#a8cf7229067eae634e3ded62244190531">BaseBuildingRaidMode</a></td></tr>
<tr class="memdesc:a8cf7229067eae634e3ded62244190531"><td class="mdescLeft">&#160;</td><td class="mdescRight">Total damage dealt to tool over time (100 = tool will be in ruined state after all cycles finished)  <a href="../../d3/d0c/a03381.html#a8cf7229067eae634e3ded62244190531">More...</a><br /></td></tr>
<tr class="separator:a8cf7229067eae634e3ded62244190531"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Spawn settings class. </p>
<p ><a class="el" href="../../d8/d41/a00038.html">ExpansionRaidSettings.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d41/a00038_source.html#l00016">16</a> of file <a class="el" href="../../d8/d41/a00038_source.html">expansionraidsettings.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="abfae0e778dc8dc3002228f04c467472d" name="abfae0e778dc8dc3002228f04c467472d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abfae0e778dc8dc3002228f04c467472d">&#9670;&#160;</a></span>ExpansionRaidSettingsBase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionRaidSettingsBase::ExpansionRaidSettingsBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>0 = Default, everything can take dmg | 1 = doors and gates | 2 = doors, gates and windows </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d41/a00038_source.html#l00047">47</a> of file <a class="el" href="../../d8/d41/a00038_source.html">expansionraidsettings.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ae545fbe39ed37465bab2ffb8190cd488" name="ae545fbe39ed37465bab2ffb8190cd488"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae545fbe39ed37465bab2ffb8190cd488">&#9670;&#160;</a></span>BarbedWireRaidToolCycles</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionRaidSettingsBase::BarbedWireRaidToolCycles</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Time needed to raid barbed wire with tool. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d41/a00038_source.html#l00033">33</a> of file <a class="el" href="../../d8/d41/a00038_source.html">expansionraidsettings.c</a>.</p>

</div>
</div>
<a id="a02cea6958070412c91447891d6b6e818" name="a02cea6958070412c91447891d6b6e818"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02cea6958070412c91447891d6b6e818">&#9670;&#160;</a></span>BarbedWireRaidToolDamagePercent</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionRaidSettingsBase::BarbedWireRaidToolDamagePercent</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Number of cycles needed to raid barbed wire. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d41/a00038_source.html#l00034">34</a> of file <a class="el" href="../../d8/d41/a00038_source.html">expansionraidsettings.c</a>.</p>

</div>
</div>
<a id="a45f9c25b3b7d523d40ed01ff01a18275" name="a45f9c25b3b7d523d40ed01ff01a18275"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a45f9c25b3b7d523d40ed01ff01a18275">&#9670;&#160;</a></span>BarbedWireRaidTools</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">autoptr TStringArray ExpansionRaidSettingsBase::BarbedWireRaidTools</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>If enabled, make barbed wire raidable. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d41/a00038_source.html#l00031">31</a> of file <a class="el" href="../../d8/d41/a00038_source.html">expansionraidsettings.c</a>.</p>

</div>
</div>
<a id="a189aed6401bd71f4ef605eca2f319e86" name="a189aed6401bd71f4ef605eca2f319e86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a189aed6401bd71f4ef605eca2f319e86">&#9670;&#160;</a></span>BarbedWireRaidToolTimeSeconds</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionRaidSettingsBase::BarbedWireRaidToolTimeSeconds</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>List of tools allowed for raiding barbed wire. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d41/a00038_source.html#l00032">32</a> of file <a class="el" href="../../d8/d41/a00038_source.html">expansionraidsettings.c</a>.</p>

</div>
</div>
<a id="a8cf7229067eae634e3ded62244190531" name="a8cf7229067eae634e3ded62244190531"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8cf7229067eae634e3ded62244190531">&#9670;&#160;</a></span>BaseBuildingRaidMode</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/d87/a00032.html#a1e79c0163d9d8a0860d98f839db2a80b">BaseBuildingRaidEnum</a> ExpansionRaidSettingsBase::BaseBuildingRaidMode</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Total damage dealt to tool over time (100 = tool will be in ruined state after all cycles finished) </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d41/a00038_source.html#l00044">44</a> of file <a class="el" href="../../d8/d41/a00038_source.html">expansionraidsettings.c</a>.</p>

</div>
</div>
<a id="a90aa88355f8969f63d50b5f97c9b9d39" name="a90aa88355f8969f63d50b5f97c9b9d39"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a90aa88355f8969f63d50b5f97c9b9d39">&#9670;&#160;</a></span>CanRaidBarbedWire</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionRaidSettingsBase::CanRaidBarbedWire</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Total damage dealt to tool over time (100 = tool will be in ruined state after all cycles finished) </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d41/a00038_source.html#l00030">30</a> of file <a class="el" href="../../d8/d41/a00038_source.html">expansionraidsettings.c</a>.</p>

</div>
</div>
<a id="ace10abfea2102ec468d8956cb10c6467" name="ace10abfea2102ec468d8956cb10c6467"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace10abfea2102ec468d8956cb10c6467">&#9670;&#160;</a></span>CanRaidLocksOnFences</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionRaidSettingsBase::CanRaidLocksOnFences</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>If set to 1 make locks (both vanilla and Expansion) raidable on walls | 2 = only doors | 3 = only gates. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d41/a00038_source.html#l00036">36</a> of file <a class="el" href="../../d8/d41/a00038_source.html">expansionraidsettings.c</a>.</p>

</div>
</div>
<a id="a80b2168365b954993385e544bd2c4ef7" name="a80b2168365b954993385e544bd2c4ef7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a80b2168365b954993385e544bd2c4ef7">&#9670;&#160;</a></span>CanRaidLocksOnTents</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionRaidSettingsBase::CanRaidLocksOnTents</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>If enabled, make locks (both vanilla and Expansion) raidable on fences. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d41/a00038_source.html#l00037">37</a> of file <a class="el" href="../../d8/d41/a00038_source.html">expansionraidsettings.c</a>.</p>

</div>
</div>
<a id="a47a4bdba49e9729080ed30ad39ff2efe" name="a47a4bdba49e9729080ed30ad39ff2efe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47a4bdba49e9729080ed30ad39ff2efe">&#9670;&#160;</a></span>CanRaidLocksOnWalls</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/d8c/a00035.html#af924a45769b966ddde1a49cac35e0ffd">RaidLocksOnWallsEnum</a> ExpansionRaidSettingsBase::CanRaidLocksOnWalls</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Total damage dealt to tool over time (100 = tool will be in ruined state after all cycles finished) </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d41/a00038_source.html#l00035">35</a> of file <a class="el" href="../../d8/d41/a00038_source.html">expansionraidsettings.c</a>.</p>

</div>
</div>
<a id="a6b6b26cbdd055f7510a072fcb9f243c7" name="a6b6b26cbdd055f7510a072fcb9f243c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b6b26cbdd055f7510a072fcb9f243c7">&#9670;&#160;</a></span>CanRaidSafes</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionRaidSettingsBase::CanRaidSafes</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Damage multiplier from projectiles. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d41/a00038_source.html#l00023">23</a> of file <a class="el" href="../../d8/d41/a00038_source.html">expansionraidsettings.c</a>.</p>

</div>
</div>
<a id="ab0e860cd25939a9ffbc2bad9a6fa6fc8" name="ab0e860cd25939a9ffbc2bad9a6fa6fc8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab0e860cd25939a9ffbc2bad9a6fa6fc8">&#9670;&#160;</a></span>EnableExplosiveWhitelist</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionRaidSettingsBase::EnableExplosiveWhitelist</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>List of damage sources allowed to damage bases when whitelist is enabled. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d41/a00038_source.html#l00020">20</a> of file <a class="el" href="../../d8/d41/a00038_source.html">expansionraidsettings.c</a>.</p>

</div>
</div>
<a id="a25e2f4f83eb9b1cc3b70b1d5a6552693" name="a25e2f4f83eb9b1cc3b70b1d5a6552693"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a25e2f4f83eb9b1cc3b70b1d5a6552693">&#9670;&#160;</a></span>ExplosionDamageMultiplier</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionRaidSettingsBase::ExplosionDamageMultiplier</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>If enabled, only damage sources listed in ExplosiveDamageWhitelist will be able to damage walls. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d41/a00038_source.html#l00021">21</a> of file <a class="el" href="../../d8/d41/a00038_source.html">expansionraidsettings.c</a>.</p>

</div>
</div>
<a id="a876b50139f81941a2f52d24d84a766d7" name="a876b50139f81941a2f52d24d84a766d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a876b50139f81941a2f52d24d84a766d7">&#9670;&#160;</a></span>ExplosionTime</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionRaidSettingsBase::ExplosionTime</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d41/a00038_source.html#l00018">18</a> of file <a class="el" href="../../d8/d41/a00038_source.html">expansionraidsettings.c</a>.</p>

</div>
</div>
<a id="ade09edfeb964a4f60d5e525dbfb6be72" name="ade09edfeb964a4f60d5e525dbfb6be72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade09edfeb964a4f60d5e525dbfb6be72">&#9670;&#160;</a></span>ExplosiveDamageWhitelist</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">autoptr TStringArray ExpansionRaidSettingsBase::ExplosiveDamageWhitelist</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Ammount of time it takes for explosive to explode. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d41/a00038_source.html#l00019">19</a> of file <a class="el" href="../../d8/d41/a00038_source.html">expansionraidsettings.c</a>.</p>

</div>
</div>
<a id="a8fe202f83e66496b014540c7b9c3b749" name="a8fe202f83e66496b014540c7b9c3b749"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8fe202f83e66496b014540c7b9c3b749">&#9670;&#160;</a></span>LockOnFenceRaidToolTimeSeconds</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionRaidSettingsBase::LockOnFenceRaidToolTimeSeconds</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Time needed to raid lock on wall with tool. Disabled &lt;= 0. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d41/a00038_source.html#l00040">40</a> of file <a class="el" href="../../d8/d41/a00038_source.html">expansionraidsettings.c</a>.</p>

</div>
</div>
<a id="ab4453271829b10f84116456650b077a3" name="ab4453271829b10f84116456650b077a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4453271829b10f84116456650b077a3">&#9670;&#160;</a></span>LockOnTentRaidToolTimeSeconds</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionRaidSettingsBase::LockOnTentRaidToolTimeSeconds</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Time needed to raid lock on fence with tool. Disabled &lt;= 0. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d41/a00038_source.html#l00041">41</a> of file <a class="el" href="../../d8/d41/a00038_source.html">expansionraidsettings.c</a>.</p>

</div>
</div>
<a id="a437fa9213c195f4e7bb59f92dac1c0a9" name="a437fa9213c195f4e7bb59f92dac1c0a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a437fa9213c195f4e7bb59f92dac1c0a9">&#9670;&#160;</a></span>LockOnWallRaidToolTimeSeconds</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionRaidSettingsBase::LockOnWallRaidToolTimeSeconds</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>List of tools allowed for raiding locks. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d41/a00038_source.html#l00039">39</a> of file <a class="el" href="../../d8/d41/a00038_source.html">expansionraidsettings.c</a>.</p>

</div>
</div>
<a id="a7fa940e4c906340b6b48d1a51c43ff04" name="a7fa940e4c906340b6b48d1a51c43ff04"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7fa940e4c906340b6b48d1a51c43ff04">&#9670;&#160;</a></span>LockRaidToolCycles</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionRaidSettingsBase::LockRaidToolCycles</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Time needed to raid lock on tent with tool. Disabled &lt;= 0. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d41/a00038_source.html#l00042">42</a> of file <a class="el" href="../../d8/d41/a00038_source.html">expansionraidsettings.c</a>.</p>

</div>
</div>
<a id="ad6ac2dfb049f14b44e53dd40a984a6f3" name="ad6ac2dfb049f14b44e53dd40a984a6f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad6ac2dfb049f14b44e53dd40a984a6f3">&#9670;&#160;</a></span>LockRaidToolDamagePercent</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionRaidSettingsBase::LockRaidToolDamagePercent</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Number of cycles needed to raid lock. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d41/a00038_source.html#l00043">43</a> of file <a class="el" href="../../d8/d41/a00038_source.html">expansionraidsettings.c</a>.</p>

</div>
</div>
<a id="a20f7d61f868e762acfbab1569d4294fc" name="a20f7d61f868e762acfbab1569d4294fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a20f7d61f868e762acfbab1569d4294fc">&#9670;&#160;</a></span>LockRaidTools</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">autoptr TStringArray ExpansionRaidSettingsBase::LockRaidTools</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>If enabled, make locks (both vanilla and Expansion) raidable on tents. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d41/a00038_source.html#l00038">38</a> of file <a class="el" href="../../d8/d41/a00038_source.html">expansionraidsettings.c</a>.</p>

</div>
</div>
<a id="a08df3d586b4978b63f363c7bda2cee08" name="a08df3d586b4978b63f363c7bda2cee08"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a08df3d586b4978b63f363c7bda2cee08">&#9670;&#160;</a></span>ProjectileDamageMultiplier</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionRaidSettingsBase::ProjectileDamageMultiplier</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Damage multiplier from explosion. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d41/a00038_source.html#l00022">22</a> of file <a class="el" href="../../d8/d41/a00038_source.html">expansionraidsettings.c</a>.</p>

</div>
</div>
<a id="ac69c66febd351d1786f261d9293354c0" name="ac69c66febd351d1786f261d9293354c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac69c66febd351d1786f261d9293354c0">&#9670;&#160;</a></span>SafeExplosionDamageMultiplier</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionRaidSettingsBase::SafeExplosionDamageMultiplier</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>If enabled, make safes raidable. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d41/a00038_source.html#l00024">24</a> of file <a class="el" href="../../d8/d41/a00038_source.html">expansionraidsettings.c</a>.</p>

</div>
</div>
<a id="ae3e9f2f60b5c693ca6a5166a4bf53249" name="ae3e9f2f60b5c693ca6a5166a4bf53249"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae3e9f2f60b5c693ca6a5166a4bf53249">&#9670;&#160;</a></span>SafeProjectileDamageMultiplier</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionRaidSettingsBase::SafeProjectileDamageMultiplier</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Damage multiplier from explosion on safes. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d41/a00038_source.html#l00025">25</a> of file <a class="el" href="../../d8/d41/a00038_source.html">expansionraidsettings.c</a>.</p>

</div>
</div>
<a id="a64df25132f83748641937b70b2c6891f" name="a64df25132f83748641937b70b2c6891f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a64df25132f83748641937b70b2c6891f">&#9670;&#160;</a></span>SafeRaidToolCycles</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionRaidSettingsBase::SafeRaidToolCycles</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Time needed to raid safe with tool. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d41/a00038_source.html#l00028">28</a> of file <a class="el" href="../../d8/d41/a00038_source.html">expansionraidsettings.c</a>.</p>

</div>
</div>
<a id="abce4c8d79c9e4e2a870dfdd92eee5993" name="abce4c8d79c9e4e2a870dfdd92eee5993"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abce4c8d79c9e4e2a870dfdd92eee5993">&#9670;&#160;</a></span>SafeRaidToolDamagePercent</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionRaidSettingsBase::SafeRaidToolDamagePercent</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Number of cycles needed to raid safe. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d41/a00038_source.html#l00029">29</a> of file <a class="el" href="../../d8/d41/a00038_source.html">expansionraidsettings.c</a>.</p>

</div>
</div>
<a id="a95638bc6947234783d9fc34c43bc577e" name="a95638bc6947234783d9fc34c43bc577e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a95638bc6947234783d9fc34c43bc577e">&#9670;&#160;</a></span>SafeRaidTools</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">autoptr TStringArray ExpansionRaidSettingsBase::SafeRaidTools</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Damage multiplier from explosion on safes. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d41/a00038_source.html#l00026">26</a> of file <a class="el" href="../../d8/d41/a00038_source.html">expansionraidsettings.c</a>.</p>

</div>
</div>
<a id="a6e990c1b17a827bf183ca570df38177e" name="a6e990c1b17a827bf183ca570df38177e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e990c1b17a827bf183ca570df38177e">&#9670;&#160;</a></span>SafeRaidToolTimeSeconds</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionRaidSettingsBase::SafeRaidToolTimeSeconds</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>List of tools allowed for raiding safes. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d41/a00038_source.html#l00027">27</a> of file <a class="el" href="../../d8/d41/a00038_source.html">expansionraidsettings.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/BaseBuilding/Scripts/3_game/dayzexpansion_basebuilding/settings/raid/<a class="el" href="../../d8/d41/a00038_source.html">expansionraidsettings.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d3/d0c/a03381.html">ExpansionRaidSettingsBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
